Imagemagick rpm installers are not working on Centos7

cancel
Showing results for 
Search instead for 
Did you mean: 
venur
Active Member II

Imagemagick rpm installers are not working on Centos7

Jump to solution

Does any one know how to install Imagemagick 7.0.10 on centos 7. When i try to install the RPMs downloded fromhttps://imagemagick.org/script/download.php 

I get failed to get dependencies error. However an older version that is Imagemagick 6.7.8.9 gets installed when i use yum repository. 

for Alfresco 6.2 it seems this version is not supported and only 7.0.10 is supported. 

please guide me how to proceed

 

1 Solution

Accepted Solutions
abhinavmishra14
Moderator
Moderator

Re: Imagemagick rpm installers are not working on Centos7

Jump to solution

Try downloading from these locations:

Imagemagick dist:
https://nexus.alfresco.com/nexus/service/local/repositories/thirdparty/content/org/imagemagick/image...

Imagemagick lib dist:
https://nexus.alfresco.com/nexus/service/local/repositories/thirdparty/content/org/imagemagick/image...

Dependencies:
https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm

 

In case you have downloaded distributions from here: https://imagemagick.org/script/download.php#unix

You would be neeing the https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm dependency in order to install successfully as mentioned on website.

 

~Abhinav
(ACSCE, AWS SAA-C02, GAIQ)

View solution in original post

3 Replies
abhinavmishra14
Moderator
Moderator

Re: Imagemagick rpm installers are not working on Centos7

Jump to solution

Try downloading from these locations:

Imagemagick dist:
https://nexus.alfresco.com/nexus/service/local/repositories/thirdparty/content/org/imagemagick/image...

Imagemagick lib dist:
https://nexus.alfresco.com/nexus/service/local/repositories/thirdparty/content/org/imagemagick/image...

Dependencies:
https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm

 

In case you have downloaded distributions from here: https://imagemagick.org/script/download.php#unix

You would be neeing the https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm dependency in order to install successfully as mentioned on website.

 

~Abhinav
(ACSCE, AWS SAA-C02, GAIQ)

View solution in original post

venur
Active Member II

Re: Imagemagick rpm installers are not working on Centos7

Jump to solution

Thanks, link from alfresco worked for me.

abhinavmishra14
Moderator
Moderator

Re: Imagemagick rpm installers are not working on Centos7

Jump to solution

Glad to hear @venur . Good luck

~Abhinav
(ACSCE, AWS SAA-C02, GAIQ)